Skip to main content
POST
/
v1
/
populations
/
query
Query Populations
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/populations/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "version": 123,
      "analysisTypeId": {},
      "name": "<string>",
      "category": "<string>",
      "condition": {
        "type": "GROUP",
        "operator": "AND",
        "conditions": [
          "<unknown>"
        ]
      },
      "legacyFilterFormat": true,
      "id": {},
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": {},
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": {},
        "userName": "<string>"
      },
      "libraryId": {},
      "engagementId": {},
      "derivedFromLibrary": true,
      "disabledForAnalysisIds": [
        {}
      ],
      "promotedFromAnalysisId": {},
      "analysisId": {},
      "derivedFromEngagement": true,
      "basePopulationId": {},
      "description": "<string>",
      "clonedFrom": {},
      "reasonForChange": "<string>",
      "disabled": true,
      "displayCurrencyCode": "<string>",
      "displayLocale": "<string>"
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "empty": true,
      "unsorted": true,
      "sorted": true
    }
  },
  "pageSize": 123,
  "sort": {
    "empty": true,
    "unsorted": true,
    "sorted": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>
Required range: x >= 0
size
integer<int32>
Required range: x >= 1
sort
string[]

Body

application/json
{key}

Response

OK

pageNumber
integer<int32>
totalPages
integer<int32>
content
Population · object[]
numberOfElements
integer<int32>
totalElements
integer<int64>
pageable
object
pageSize
integer<int32>
deprecated
sort
object
first
boolean
deprecated
last
boolean
deprecated
size
integer<int32>
deprecated
number
integer<int32>
deprecated